Bug 1387794 - [abrt] qupzilla: CloneHelper(): qupzilla killed by SIGBUS
Summary: [abrt] qupzilla: CloneHelper(): qupzilla killed by SIGBUS
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebengine
Version: 25
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0a39d006d61067902b00ae2191f...
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-21 22:33 UTC by Jeremy Linton
Modified: 2017-12-12 10:51 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:51:10 UTC


Attachments (Terms of Use)
File: backtrace (44.15 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: cgroup (369 bytes, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: core_backtrace (771 bytes, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: dso_list (18.02 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: environ (2.94 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: maps (59.69 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: mountinfo (3.52 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: namespaces (90 bytes, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: open_fds (2.55 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details
File: var_log_messages (292 bytes, text/plain)
2016-10-21 22:34 UTC, Jeremy Linton
no flags Details

Description Jeremy Linton 2016-10-21 22:33:54 UTC
Description of problem:
Install F25b disk, install updates. Install qupzilla from gnome-software. Attempt to launch it.

Version-Release number of selected component:
qupzilla-2.0.1-7.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        qupzilla
crash_function: CloneHelper
executable:     /usr/bin/qupzilla
global_pid:     2094
kernel:         4.8.1-1.fc25.aarch64
pkg_fingerprint: 1A18 5CDD E372 E838
pkg_vendor:     Fedora Project
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 CloneHelper at /usr/src/debug/qtwebengine-opensource-src-5.7.0/src/3rdparty/chromium/base/process/launch_posix.cc:710
 #1 thread_start at ../sysdeps/unix/sysv/linux/aarch64/clone.S:87

Comment 1 Jeremy Linton 2016-10-21 22:34:00 UTC
Created attachment 1212966 [details]
File: backtrace

Comment 2 Jeremy Linton 2016-10-21 22:34:01 UTC
Created attachment 1212967 [details]
File: cgroup

Comment 3 Jeremy Linton 2016-10-21 22:34:02 UTC
Created attachment 1212968 [details]
File: core_backtrace

Comment 4 Jeremy Linton 2016-10-21 22:34:03 UTC
Created attachment 1212969 [details]
File: dso_list

Comment 5 Jeremy Linton 2016-10-21 22:34:04 UTC
Created attachment 1212970 [details]
File: environ

Comment 6 Jeremy Linton 2016-10-21 22:34:05 UTC
Created attachment 1212971 [details]
File: exploitable

Comment 7 Jeremy Linton 2016-10-21 22:34:06 UTC
Created attachment 1212972 [details]
File: limits

Comment 8 Jeremy Linton 2016-10-21 22:34:07 UTC
Created attachment 1212973 [details]
File: maps

Comment 9 Jeremy Linton 2016-10-21 22:34:08 UTC
Created attachment 1212974 [details]
File: mountinfo

Comment 10 Jeremy Linton 2016-10-21 22:34:10 UTC
Created attachment 1212975 [details]
File: namespaces

Comment 11 Jeremy Linton 2016-10-21 22:34:11 UTC
Created attachment 1212976 [details]
File: open_fds

Comment 12 Jeremy Linton 2016-10-21 22:34:12 UTC
Created attachment 1212977 [details]
File: proc_pid_status

Comment 13 Jeremy Linton 2016-10-21 22:34:13 UTC
Created attachment 1212978 [details]
File: var_log_messages

Comment 14 Kevin Kofler 2016-10-22 06:25:29 UTC
This crashes in QtWebEngine (in the bundled Chromium fork) in this function:

// This function runs on the stack specified on the clone call. It uses longjmp
// to switch back to the original stack so the child can return from sys_clone.
int CloneHelper(void* arg) {
  jmp_buf* env_ptr = reinterpret_cast<jmp_buf*>(arg);
  longjmp(*env_ptr, 1);

  // Should not be reached.
  RAW_CHECK(false);
  return 1;
}

The CloneAndLongjmpInChild hackery looks very ugly and fragile to me.

Comment 15 Fedora End Of Life 2017-11-16 15:22:50 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:51:10 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.